Getting Started

Print Friendly, PDF & Email

To get started, you may need the following information.

1. Prerequisites

Before installing Quick Heal Internet Security Essentials on your computer, follow these guidelines:

  • Remove any other antivirus software program from your computer if you have any. If multiple antivirus software products are installed on a single computer, it may result in system malfunction.
  • Close all open applications, browsers, programs, and documents for uninterrupted installation.
  • Ensure that you have administrative rights for installing Quick Heal Internet Security Essentials.

2. System requirements

To use Quick Heal Internet Security Essentials, you must ensure the following requirements.

    A. General requirements

    • 2.7 GB disk space
    • 4 GB and above RAM
    • Internet Explorer 6 or later
    • Internet connection to receive updates
    • Minimum screen resolution 1024 * 768

    B. System requirements

    Desktop operating system : Microsoft Windows 11, 10, 8.1, 8 fully patched (32- and 64-bit)

    Note:

    • The requirements are applicable to all flavors of the operating systems.
    • The requirements are applicable to the 32-bit and 64-bit operating systems unless specifically mentioned.
    • System requirements may change from time to time. It is advisable that you check for the latest system requirements at http://www.quickheal.com.

    C. Supported POP3 email clients

    Quick Heal Internet Security Essentials supports the following email clients.

    • Microsoft Outlook Express 5.5 and later
    • Microsoft Outlook 2000 and later
    • Netscape Messenger 4 and later
    • Eudora
    • Mozilla Thunderbird
    • IncrediMail
    • Windows Mail

    Note:

    • The Email Protection feature supports encrypted email connections that use Secure Sockets Layer (SSL).
    • IPV6 protocol is supported by Quick Heal antivirus.

3. Feature specific compatibility

Features Conditions
Browser Sandbox • This feature supports Internet Explorer, Google Chrome, Mozilla Firefox-32bit and Microsoft Edge chromium.
Safe Banking • This feature supports Internet Explorer, Google Chrome, Mozilla Firefox-32bit and Microsoft Edge chromium.

Related Information

Was this page helpful?

Leave a Comment